Getnet DocsGetnet Docs

Sends authorization data.

POST/

It sends the authorization data, containing the details of the payment intent that originated it, to the endpoint preconfigured by the merchant. This request will be sent to your address, protected by `Authorization: Basic` authentication. The webhook must validate the 'Authorization' header to ensure that the credentials received are valid. The format for assembling the hash sent is as follows: Basic { base64(user:password) }. The user and password fields contain the values entered in the Web Checkout Webhook configuration. **For example**, for the user *'testwebhook'* and the password *'testwebhook13579'* the string would look like this: *Basic { base64(testwebhook:testwebhook13579) }*, generating an output in this format: *Basic dGVzdHdlYmhvb2s6dGVzdHdlYmhvb2sxMzU3OQ==*

Body application/json

checkout_idstring<uuidv4>required

Unique checkout ID

payment_intent_idstring<uuidv4>

Unique payment intent ID

order_idstring

Order ID used for Merchant reconciliation

mode"instant" | "payment_link" | "recurring"required

Checkout mode. The possible values are: - instant = Instant payments are accepted - payment_link = One-time payments from a payment link are accepted - recurring = Recurring payments from recurring transaction ar accepted

sellerobject

Data structure containing seller details

Show seller properties
idstring<uuidv4>

Seller ID

trade_namestring

Trade or brand name of the seller's business

merchant_documentstring

Merchant document.

settingsobject

Data structure containing seller settings

Show settings properties
notification_url_configuredboolean

Whether the seller has configured a payment URL notification. #### The possible values are: - true = Seller is notified through the backend system when the payment transaction is processed - false = Seller is not notified through the backend system when the payment transaction is processed

customerobject

Data structure containing customer details

Show customer properties
customer_idstringrequired

Customer ID. We recommend using the customer's document number (the same value provided in `document_number`) as the customer ID, for all countries. Provide only letters and numbers, without any special characters, separators or spaces (for example, a Chilean RUT `12345678-9` should be sent as `123456789`). For Brazil (BR), this value must correspond to a valid CPF. Using an invalid document may trigger fraud prevention flows that could block the payment.

first_namestringrequired

Customer's first name

last_namestringrequired

Customer's last name

namestringrequired

Customer's full name

emailstring<email>required

Customer's email address

document_typestringrequired

Type of the document used to identify the customer. The accepted value is country-specific: - Brazil (BR): `CPF` (individuals) or `CNPJ` (companies) - Argentina (AR): `DNI` - Chile (CL): `RUT` - Mexico (MX): `RFC` - Uruguay (UY): `CI` - Spain (ES): `DNI`

document_numberstringrequired

Document number used to identify the customer. For Brazil (BR), this field must contain a valid CPF. Using an invalid CPF may trigger fraud prevention flows that could block the payment.

phone_numberstring

Customer's phone number

gender"Female" | "Male" | "Intersex" | "Trans" | "Non-Conforming" | "Personal" | "Eunuch"

Customer's gender

checked_emailboolean

Whether the customer's email address was verified by the seller when they registered with the store. The possible values are: - true = Email address was verified - false = Email address was not verified

billing_addressobjectrequired

Data structure containing shipping address details

Show billing_address properties
streetstringrequired

Name of a street or thoroughfare

numberstringrequired

Number that identifies the position of a building on a street

complementstring

Additional address information

districtstring

Name of a district, for example, a part of a town or region

citystring

Name of a built-up area with defined boundaries and a local government. The value is based on the ISO 3166-2, according to the country defined within the address details.

statestring

Name of an organized political community or area forming a part of a federation. The value is based on the ISO 3166-2, according to the country defined within the address details.

countrystringrequired

Country code. The value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).

postal_codestringrequired

Postal or ZIP code. The value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.

referencestring

Reference point details that can be used to help locate the address

shippingobject

Data structure containing shipping details

Show shipping properties
first_namestringrequired

Customer's first name

last_namestringrequired

Customer's last name

namestring

Customer's full name

phone_numberstring

Customer's phone number

shipping_amountnumber

Shipping cost in integer format, where the last 2 digits represent the cents. For countries where cents do not apply, fill in the amount with 2 zeros to the right. Ex: $150, send `15000`

addressobjectrequired

Data structure containing shipping address details

Show address properties
streetstringrequired

Name of a street or thoroughfare

numberstringrequired

Number that identifies the position of a building on a street

complementstring

Additional address information

districtstring

Name of a district, for example, a part of a town or region

citystring

Name of a built-up area with defined boundaries and a local government. The value is based on the ISO 3166-2, according to the country defined within the address details.

statestring

Name of an organized political community or area forming a part of a federation. The value is based on the ISO 3166-2, according to the country defined within the address details.

countrystringrequired

Country code. The value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).

postal_codestringrequired

Postal or ZIP code. The value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.

referencestring

Reference point details that can be used to help locate the address

paymentobjectrequired

Data structure containing payment details

Show payment properties
method"credit" | "debit"

Payment method. The possible values are: - credit = Payment by credit card - debit = Payment by debit card

amountinteger<int32>required

Payment amount from checkout,in integer format, where the last 2 digits represent the cents. For countries where cents do not apply, fill in the amount with 2 zeros to the right. Ex: $150, send `15000`

currencystring<ISO-4217>required

Currency code. The value is in the alpha-3 format defined in ISO 4217 (https://www.iso.org/iso-4217-currency-codes.html).

installmentobject

Data structure containing installment details.

Show installment properties
type"no_interest" | "with_interest"required

Installment type offered to the customer, defining whether interest is charged for the installments

numberintegerrequired

Number of installments selected to the customer

schemastring

Installment acquirer schema.

resultobjectrequired

Data structure containing payment result details

Show result properties
payment_idstring<uuidv4>

Unique payment ID

status"Authorized" | "Denied"required

Payment transaction status

authorization_codestring

Authorized payment transaction code

transaction_datetimestring

Date of payment transaction

return_messagestring

Result message for the payment transaction. For a list of possible values, <a href='#'>see</a>.

return_codestring

Result code for the payment transaction. For a list of possible values, see <LINK>.

frontendobject
Show frontend properties
linkstring

Origin of a request frontend

time_pageinteger

Time page in seconds

sales_channel"WEB" | "MOBILE" | "ANDROID" | "IOS"required

Time page um seconds

application_versionstringrequired

Version o front end application

card_pastedboolean

Describes when the card is pasted in frontend or not

ipstringrequired

Consumer device ip

timezonestring

Consumer timezone

localestring

Consumer locale

pickup_storeboolean
shipping_methodstring

Type of shipping o products

soft_descriptorstring

Payment description that appears on the customer's receipt

reference_codestring

Payment reference code

productobject[]
Show product properties
product_type"cash_carry" | "digital_content" | "digital_goods" | "digital_physical" | "gift_card" | "physical_goods" | "renew_subs" | "shareware" | "service"

Product type

titlestringrequired

Product name

descriptionstring

Product description

valueintegerrequired

Product value in integer format, where the last 2 digits represent the cents. For countries where cents do not apply, fill in the amount with 2 zeros to the right. Ex: $150, send `15000`

quantityintegerrequired

Quantity of the product

device_fingerprintstring

Response

A status of 200 means that the webhook has been successfully received and no further delivery attempts will be made.

Request
curl -X POST "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/" \
  -H "Content-Type: application/json" \
  -u "<username>:<password>" \
  -d '{
  "checkout_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
  "payment_intent_id": "a4fb9559-09f3-43ac-8ba5-c0d786506ea9",
  "order_id": "ORDER_123",
  "mode": "instant",
  "seller": {
    "id": "06f256c8-1bbf-42bf-93b4-ce2041bfb87e",
    "trade_name": "John Doe Bread Store",
    "merchant_document": "599d037634",
    "settings": {
      "notification_url_configured": false
    }
  },
  "customer": {
    "customer_id": "12345678912",
    "first_name": "John",
    "last_name": "Doe Smith",
    "name": "John Doe Smith",
    "email": "[email protected]",
    "document_type": "CPF",
    "document_number": "12345678912",
    "phone_number": "5551999887766",
    "gender": "Male",
    "checked_email": {
      "type": "boolean",
      "default": false,
      "description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified",
      "example": false
    },
    "billing_address": {
      "type": "object",
      "description": "Data structure containing shipping address details",
      "required": [
        "street",
        "number",
        "country",
        "postal_code"
      ],
      "properties": {
        "street": {
          "type": "string",
          "description": "Name of a street or thoroughfare",
          "maxLength": 60,
          "example": "Av. Brasil"
        },
        "number": {
          "type": "string",
          "description": "Number that identifies the position of a building on a street",
          "maxLength": 10,
          "example": "1000"
        },
        "complement": {
          "type": "string",
          "description": "Additional address information",
          "maxLength": 60,
          "example": "Sala 1"
        },
        "district": {
          "type": "string",
          "description": "Name of a district, for example, a part of a town or region",
          "maxLength": 40,
          "example": "São Geraldo"
        },
        "city": {
          "type": "string",
          "description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
          "maxLength": 40,
          "example": "Porto Alegre"
        },
        "state": {
          "type": "string",
          "description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
          "maxLength": 20,
          "example": "RS"
        },
        "country": {
          "type": "string",
          "description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).",
          "maxLength": 2,
          "example": "BR"
        },
        "postal_code": {
          "type": "string",
          "description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.",
          "maxLength": 8,
          "example": "90230060"
        },
        "reference": {
          "type": "string",
          "description": "Reference point details that can be used to help locate the address",
          "maxLength": 80,
          "example": "Near the hospital"
        }
      }
    }
  },
  "shipping": {
    "first_name": "John",
    "last_name": "Doe Smith",
    "name": "John Doe Smith",
    "phone_number": "5551999887766",
    "shipping_amount": 3000,
    "address": {
      "street": "Av. Brasil",
      "number": "1000",
      "complement": "Sala 1",
      "district": "São Geraldo",
      "city": "Porto Alegre",
      "state": "RS",
      "country": "BR",
      "postal_code": "90230060",
      "reference": "Near the hospital"
    }
  },
  "payment": {
    "method": "credit",
    "amount": 10000,
    "currency": "USD",
    "installment": {
      "type": "no_interest",
      "number": 3,
      "schema": "string"
    },
    "result": {
      "payment_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
      "status": "Authorized",
      "authorization_code": 9999,
      "transaction_datetime": "1997-07-16T19:20:30.45+01:00",
      "return_message": "The payment type is not active",
      "return_code": "payment_type_is_not_active"
    }
  },
  "frontend": {
    "link": "www.myhomepage.com/checkout",
    "time_page": 30,
    "sales_channel": "WEB",
    "application_version": "v1.0.0.1",
    "card_pasted": false,
    "ip": "255.255.255.255",
    "timezone": "America/Argentina/Buenos_Aires",
    "locale": "es-AR"
  },
  "pickup_store": true,
  "shipping_method": "PAC",
  "soft_descriptor": "Bread Store",
  "reference_code": "Payment for the service provided by John",
  "product": [
    {
      "product_type": "digital_content",
      "title": "Toy car",
      "description": "Wooden toy car",
      "value": 1200,
      "quantity": 10
    }
  ],
  "device_fingerprint": "7C5C38C6424F6EB7FC6DB1285A84DDAEAD559492A0FD04FCC919CAB6782CB3EF"
}'
Response
(no body)